#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f3)
#-----------------------------------------------------------------------------
Name		:	xf86-video-fbdev
Version		:	0.5.0
Release		:	14.8.0.0%{?dist}
Summary		: 	Video driver for framebuffer device
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/driver

Source0		:	%{name}-%{version}.tar.bz2

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#-----------------------------------------------------------------------------
BuildRequires	:	xorg-server
#-----------------------------------------------------------------------------
%description
The Xorg Fbdev Driver package contains the X.Org Video Driver
for framebuffer devices. This driver is often used as fallback
driver if the hardware specific and VESA drivers fail to load
or are not present. If this driver is not installed, Xorg Server
will print a warning on startup, but it can be safely ignored
if hardware specific driver works well

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

./configure						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%files			
%defattr(-,root,root,-)
%doc README
%{_libdir}/xorg/modules/drivers/%{sname}_drv.{la,so}
%{_mandir}/man4/%{sname}.4.gz


%post -p /usr/sbin/ldconfig

%postun -p /usr/sbin/ldconfig

%changelog
